Jump to content
limetech

unRAID Server Release 6.2 Stable Release Available

444 posts in this topic Last Reply

Recommended Posts

Thanks for the hard work bringing 6.2 to stable!  So excited for dual parity support.

 

Question for those who have updated:  I have my docker.img on an automounted drive using the Unassigned Devices plugin and I do not have a cache drive.  It looks like this version is going to try to do some magic with shares and config locations and such.  Anyone know if I need to do anything special to upgrade?  The guide says each docker container has to go through a one-time upgrade process, but it's not 100% clear how this occurs or if it'll be a problem for my docker.img setup.

 

Thanks!

 

afaik those new shares are only for new docker containers. your old ones should not change.

Share this post


Link to post

A little OT, but am I imagining things that there was an update for dynamix webUI today being offered for 6.1.9 that just got pulled?  Was just about to post a defect report (as it took down my system), but check for updates isn't finding it again...

Share this post


Link to post

Thanks for the hard work bringing 6.2 to stable!  So excited for dual parity support.

 

Question for those who have updated:  I have my docker.img on an automounted drive using the Unassigned Devices plugin and I do not have a cache drive.  It looks like this version is going to try to do some magic with shares and config locations and such.  Anyone know if I need to do anything special to upgrade?  The guide says each docker container has to go through a one-time upgrade process, but it's not 100% clear how this occurs or if it'll be a problem for my docker.img setup.

 

Thanks!

 

afaik those new shares are only for new docker containers. your old ones should not change.

The "system" share is a default location for the docker.img and the libvirt.img file.  Nothing and nowhere does it say you have to use it.  I still have my docker.img stored at /mnt/cache/docker.img.  No ill effects.

 

Nor do you have to export that share via SMB.  I've got my export on the system share disabled so I don't see it when I browse the network.

 

It's auto generated because it makes life easier for people just getting started on unRaid.

Share this post


Link to post

So I casually updated from 6.1.9 without reading anything first. All my installed dockers are missing(Plex, Plexpy, Deluge). In layman's terms(for my stupid ass that thought it would be cool to upgrade right before bed without reading anything)....how do I get these back?

 

Edit:

I don't even have a docker tab. My Windows 8.1 VM is up and running though...I changed the video driver settings as per the upgrade directions, but after it already booted. That a problem?

 

Log:

 

Sep 15 23:18:29 Zeus emhttp: shcmd (522): set -o pipefail ; /usr/local/sbin/mount_image '/mnt/cache/Docker/docker.img' /var/lib/docker 10 |& logger

Sep 15 23:18:29 Zeus root: /mnt/cache/Docker/docker.img is in-use, cannot mount

Sep 15 23:18:29 Zeus emhttp: err: shcmd: shcmd (522): exit status: 1

 

 

Share this post


Link to post

So I casually updated from 6.1.9 without reading anything first. All my installed dockers are missing(Plex, Plexpy, Deluge). In layman's terms(for my stupid ass that thought it would be cool to upgrade right before bed without reading anything)....how do I get these back?

 

Edit:

I don't even have a docker tab. My Windows 8.1 VM is up and running though...I changed the video driver settings as per the upgrade directions, but after it already booted. That a problem?

You'll have to post diagnostics.  Without the specifics on how 6.1.9 was setup its kinda hard to say.

 

But, quick and easy answer will be to manually delete your docker.img file wherever its stored, recreate it in the the default system share (not explicitly required to be in that share, but its nice and easy) and then re-add your apps back via CA's Previous Apps section.  After the downloads are complete, everything will be back to normal.  You won't even need to adjust the templates.  They'll be filled out the same as before

 

Share this post


Link to post

So I casually updated from 6.1.9 without reading anything first. All my installed dockers are missing(Plex, Plexpy, Deluge). In layman's terms(for my stupid ass that thought it would be cool to upgrade right before bed without reading anything)....how do I get these back?

 

Edit:

I don't even have a docker tab. My Windows 8.1 VM is up and running though...I changed the video driver settings as per the upgrade directions, but after it already booted. That a problem?

You'll have to post diagnostics.  Without the specifics on how 6.1.9 was setup its kinda hard to say.

 

But, quick and easy answer will be to manually delete your docker.img file wherever its stored, recreate it in the the default system share (not explicitly required to be in that share, but its nice and easy) and then re-add your apps back via CA's Previous Apps section.  After the downloads are complete, everything will be back to normal.  You won't even need to adjust the templates.  They'll be filled out the same as before

 

It's been a while since I did this, but I think I created the docker.img on my cache drive. I can't even remember how I set this up...sucks having to relearn this all over again. So just use CA to install right over the same paths? Will I lose all my Deluge and Plex settings?

Capture.PNG.e4d2b9977b9b0050da1b9eac00bfeb0f.PNG

Share this post


Link to post

You won't lose a thing if you go to CA's Previous Apps section and install it from there.  The templates will be the exact same as what you were running under 6.1

Share this post


Link to post

Known Issues

  • NFS connectivity issues with some media players

 

Can someone elaborate on what these issues are and what media players are affected?

Share this post


Link to post

Known Issues

  • NFS connectivity issues with some media players

 

Can someone elaborate on what these issues are and what media players are affected?

 

This was experienced with some model(s) of Mede8er media player. It resulted in displaying empty sub-folders.

 

Share this post


Link to post

again a lot of issues with the GUI

 

Warning: syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in state/sec_afp.ini on line 302 in /usr/local/emhttp/plugins/dynamix/template.php on line 40

 

NONE of my disks have illegal characters NOR have my shares anything special

 

i get this while i was deleting unused dockers

 

seems it somehow loses the name of my UNRAID usb

 

Array Devices

Device Identification Temp. Reads Writes Errors FS Size Used Free View

Total Array of seventeen devices * 0 0 0 0 B 0 B 0 B

Cache Devices

Device Identification Temp. Reads Writes Errors FS Size Used Free View

Boot Device

Device Identification Temp. Reads Writes Errors FS Size Used Free View

- 0 B ()

 

 

This is in the logs

 

Sep 16 14:43:34 P8H67 emhttp: nothing to sync
Sep 16 14:43:34 P8H67 rc.swapfile[17419]: Checking for swap file plugin update during array mount ...
Sep 16 14:43:34 P8H67 emhttp: Checking for swap file plugin update during array mount ...
Sep 16 14:43:37 P8H67 rc.swapfile[24827]: Local plugin is the same version as on hosting server (v2015.09.21)
Sep 16 14:43:37 P8H67 emhttp: Local plugin is the same version as on hosting server (v2015.09.21)
Sep 16 14:43:37 P8H67 rc.swapfile[24829]: Starting swap file during array mount ...
Sep 16 14:43:37 P8H67 emhttp: Starting swap file during array mount ...
Sep 16 14:43:37 P8H67 rc.swapfile[24833]: Creating swap file /mnt/swap/swapfile please wait ...
Sep 16 14:43:37 P8H67 emhttp: Creating swap file /mnt/swap/swapfile please wait ...
Sep 16 14:43:38 P8H67 emhttp: Setting up swapspace version 1, size = 1.5 GiB (1643597824 bytes)
Sep 16 14:43:38 P8H67 emhttp: LABEL=UNRAID-SWAP, UUID=c3269de5-952e-4f2e-8e24-efbff9d11c88
Sep 16 14:43:38 P8H67 emhttp: swapon /mnt/swap/swapfile
Sep 16 14:43:38 P8H67 rc.swapfile[25719]: Swap file /mnt/swap/swapfile created and started
Sep 16 14:43:38 P8H67 emhttp: Swap file /mnt/swap/swapfile created and started
Sep 16 14:44:10 P8H67 emhttp: cmd: /usr/local/emhttp/plugins/dynamix.plugin.manager/scripts/plugin_rm /boot/config/plugins-error/powerdown-x86_64.plg
Sep 16 14:45:01 P8H67 crond[1514]: exit status 2 from user root /usr/local/emhttp/plugins/dynamix.system.stats/scripts/sa1 1 1 &> /dev/null
Sep 16 14:46:02 P8H67 crond[1514]: exit status 2 from user root /usr/local/emhttp/plugins/dynamix.system.stats/scripts/sa1 1 1 &> /dev/null

Share this post


Link to post

again a lot of issues with the GUI

 

Warning: syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in state/sec_afp.ini on line 302 in /usr/local/emhttp/plugins/dynamix/template.php on line 40

 

Can you post the content of the file /var/local/emhttp/sec_afp.ini

Share this post


Link to post

Haven't been participating in Betas but looking forward to giving this a spin. A few questions;

 

If I need to stub more than one device, is it a comma separated format like this;

 

append vfio-pci.ids=8086:1528, 8077:4456, 1234:5678  initrd=/bzroot

 

(Would be useful to add this to the first post)

 

 

 

Secondly, is there a recommended process for migrating to the new system share scheme when doing an upgrade? The notes in OP seem to be discussing a fresh install? For Docker, I'm gathering that deleting existing docker image and re-adding via 'previous applications' would be the recommendation?

 

My main concern is my TvHeadEnd plug-in. I want to be sure I don't lose my card, channel and recording set ups. Any advice here?

 

Thanks for all the great work

 

Peter

 

 

Share this post


Link to post

again a lot of issues with the GUI

 

Warning: syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in state/sec_afp.ini on line 302 in /usr/local/emhttp/plugins/dynamix/template.php on line 40

 

Can you post the content of the file /var/local/emhttp/sec_afp.ini

 

Send BY PM

 

went back to 6.1.9 but have no more access to my shares :(

considering to do a fresh install now

not sure what to think ....

 

Share this post


Link to post

Did the update from 6.1.9 to 6.2 yesterday without issues.

Paritycheck went fine - Duration: 12h 24min for 34TB and all is ok.

Thanks for this great update  ;)

Share this post


Link to post

back to 6.2

next  problem

Warning: syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in state/disks.ini on line 233 in /usr/local/emhttp/plugins/dynamix/include/DeviceList.php on line 19 Warning: array_merge_recursive(): Argument #1 is not an array in /usr/local/emhttp/plugins/dynamix/include/CustomMerge.php on line 17 Warning: Invalid argument supplied for foreach() in /usr/local/emhttp/plugins/dynamix/include/DeviceList.php on line 298

 

guess i wil do a new install :(

 

Share this post


Link to post

So this docker upgrade.  Sorry, I'm still not clear on it.

Running v6.19 at the mo.  I have no cache drive and my docker IMG is under/mnt/disk1/apps/docker (or something like that).

  • So I should create a new "system" share (no need to export it), and under this, a docker folder (I have no VMs so no need for libvirt at this point).
  • I should point the docker config to use this location, and then I should re-download all my old container setups from community apps, previous apps.
  • I don't need to worry about all the mappings and stuff in my old containers that will already come across.

 

I understand that point 1 is optional, but recommended way, right??  I got to be honest, I expected a lot more from LT regarding this one time migration process.

Thanks.

 

Share this post


Link to post

When I try to update through the plugin, the download gets to 74% and then says "File I/O error".  Any ideas?

Can't remember exactly where the downloads go to (flash drive or to RAM), but it sounds like either the flash drive is full or your tmpfs in ram is full.  If its not the flash drive, rebooting and then updating right away should fix the problem

 

Shut down all docker containers and turned off auto start, removed all extra plugins, rebooted, got to 78% before I got the error.  I have 1GB of ram and the dashboard shows 43% in use.  Flash drive is 16GB and the main tab shows 15.9GB free on the flash drive.

 

Huh, well the zip file itself is 138MB and downloaded to /tmp.  Then it's about 301MB extracted also to /tmp.  That's about 439MB of RAM used.  Now add to existing booted release taking up RAM and you're right on the edge with 1GB  :P

 

We may need to look into this further, in the meantime you can update the "old fashioned way" by plugging your flash device into a PC and copying the zip contents over there manually.

 

You want:

 

bzimage

bzroot

bzroot-gui

make_bootable.bat

make_bootable_mac

memtest

changes.txt

license.txt

syslinux/syslinux.cfg-

 

Another thing to check: your bios is probably carving out some memory for onboard video.  Some bios permit you a few options for how much to reserve.  If yours is like this make sure it's at the lowest setting.

 

Thanks.  I've got more RAM on my wishlist.  I guess I'll have to manually update this time or buy myself a little present.

 

What kind of ram do you need, I have some lying around.

Share this post


Link to post

Got an email this morning that powerdown plg has an update. Checked the 'what's new' info and it says no longer will install on 6.2 as its not necessary... are there details on this anywhere?

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.